Skip to main content
GET
/
me
/
permissions
/
graph
Get the current user's effective permission graph
curl --request GET \
  --url https://api.ilyama.golain.io/core/api/v1/me/permissions/graph \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "nodes": [
      {
        "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "entity_type": "<string>",
        "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "parent": {
          "accessible": true,
          "edge_kind": "<string>",
          "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "entity_type": "<string>",
          "path_class": "<string>"
        },
        "permissions": [
          "<string>"
        ],
        "display": {
          "name": "<string>"
        },
        "edge_kind": "<string>",
        "parents": [
          {
            "accessible": true,
            "edge_kind": "<string>",
            "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "entity_type": "<string>",
            "path_class": "<string>"
          }
        ],
        "path_class": "<string>",
        "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "subject": {
      "id": "<string>",
      "kind": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ilyama.golain.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Permission graph loaded

data
object
required
ok
enum<integer>
required
Available options:
1